Package org.eclipse.birt.chart.model.attribute

# Interface StyleMap

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `StyleMapImpl`

public interface StyleMap extends IChartObject
A representation of the model object 'Style Map'. StyleMap represents the style map for the chart. It includes a list of supported chart components and the styles associated with them.

The following features are supported:

- `Component Name`
- `Style`

See Also:
  - `AttributePackage.getStyleMap()`

## Method Summary

Modifier and Type
Method
Description
`StyleMap`
`copyInstance()`
`StyledComponent`
`getComponentName()`
Returns the value of the 'Component Name' attribute.
`Style`
`getStyle()`
Returns the value of the 'Style' containment reference.
`boolean`
`isSetComponentName()`
Returns whether the value of the '`Component Name`' attribute is set.
`void`
`setComponentName(StyledComponent value)`
Sets the value of the '`Component Name`' attribute.
`void`
`setStyle(Style value)`
Sets the value of the '`Style`' containment reference.
`void`
`unsetComponentName()`
Unsets the value of the '`Component Name`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getComponentName

StyledComponent getComponentName()
Returns the value of the 'Component Name' attribute. The default value is `"Chart_All"`. The literals are from the enumeration `StyledComponent`. Specifies the name of a chart component that can have styles associated with it.

Returns:
  the value of the 'Component Name' attribute.
See Also:
  - `StyledComponent`
  - `isSetComponentName()`
  - `unsetComponentName()`
  - `setComponentName(StyledComponent)`
  - `AttributePackage.getStyleMap_ComponentName()`

### setComponentName

void setComponentName(StyledComponent value)
Sets the value of the '`Component Name`' attribute.

Parameters:
  `value` - the new value of the 'Component Name' attribute.
See Also:
  - `StyledComponent`
  - `isSetComponentName()`
  - `unsetComponentName()`
  - `getComponentName()`

### unsetComponentName

void unsetComponentName()
Unsets the value of the '`Component Name`' attribute.

See Also:
  - `isSetComponentName()`
  - `getComponentName()`
  - `setComponentName(StyledComponent)`

### isSetComponentName

boolean isSetComponentName()
Returns whether the value of the '`Component Name`' attribute is set.

Returns:
  whether the value of the 'Component Name' attribute is set.
See Also:
  - `unsetComponentName()`
  - `getComponentName()`
  - `setComponentName(StyledComponent)`

### getStyle

Style getStyle()
Returns the value of the 'Style' containment reference. Defines the style identifier(s) to be associated with this entry.

Returns:
  the value of the 'Style' containment reference.
See Also:
  - `setStyle(Style)`
  - `AttributePackage.getStyleMap_Style()`

### setStyle

void setStyle(Style value)
Sets the value of the '`Style`' containment reference.

Parameters:
  `value` - the new value of the 'Style' containment reference.
See Also:
  - `getStyle()`

### copyInstance

StyleMap copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`